using System;
using System.IO;
using System.Collections;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;

// This is a simple example of serializing data to and
// from disk.
namespace ConsoleApplication1
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			
			Console.WriteLine ("Creating an array list of integers...");
			ArrayList arrlist = new ArrayList();
			for (int i = 0; i < 10; i++) 
			{
				Console.WriteLine (i);
				arrlist.Add (i);
			} 

			Console.WriteLine("Serializing data...");
			Stream st_out = File.OpenWrite("mydata.bin");			
			BinaryFormatter binfmt = new BinaryFormatter();
			binfmt.Serialize(st_out, arrlist);
			st_out.Close();
			Console.WriteLine ("-- Done --");

			Console.WriteLine("Deserializing data from disk...");			
			Stream st_in = File.OpenRead("mydata.bin" ); 
			BinaryFormatter binfmt2 = new BinaryFormatter();
			ArrayList arrlist2 = (ArrayList) binfmt2.Deserialize(st_in);
			Console.WriteLine ("-- Done --");
			Console.WriteLine ("This is the data that's been read in...");
			foreach (int i in arrlist2) 
			{
				Console.WriteLine (i);
			}

			st_in.Close();

			Console.WriteLine ("\nPress <Return> to exit.");
			Console.ReadLine();

		}
	}
}
