using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace cddb
{
// Work in Development
// ===================
// A simple CD database system. The user enters 
// the name, artist and optional comments on CDs
// and then serializes the whole lot to disk.
// The basic framework of this system is defined here
// The serialization and deserialization code has yet
// to be added.

		
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private ArrayList CDList;

		private System.Windows.Forms.MainMenu mainMenu;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem LoadmenuItem;
		private System.Windows.Forms.MenuItem SavemenuItem;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem ExitmenuItem;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Button AddObBtn;
		private System.Windows.Forms.Button PrevBtn;
		private System.Windows.Forms.Button NextBtn;
		private System.Windows.Forms.TextBox CDNameTB;
		private System.Windows.Forms.TextBox ArtistTB;
		private System.Windows.Forms.TextBox CommentsTB;
		private System.Windows.Forms.Label posLbl;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.mainMenu = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.LoadmenuItem = new System.Windows.Forms.MenuItem();
			this.SavemenuItem = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.ExitmenuItem = new System.Windows.Forms.MenuItem();
			this.CDNameTB = new System.Windows.Forms.TextBox();
			this.ArtistTB = new System.Windows.Forms.TextBox();
			this.CommentsTB = new System.Windows.Forms.TextBox();
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.AddObBtn = new System.Windows.Forms.Button();
			this.PrevBtn = new System.Windows.Forms.Button();
			this.NextBtn = new System.Windows.Forms.Button();
			this.posLbl = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// mainMenu
			// 
			this.mainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.menuItem1});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.LoadmenuItem,
																					  this.SavemenuItem,
																					  this.menuItem4,
																					  this.ExitmenuItem});
			this.menuItem1.Text = "&File";
			// 
			// LoadmenuItem
			// 
			this.LoadmenuItem.Index = 0;
			this.LoadmenuItem.Text = "&Load";
			// 
			// SavemenuItem
			// 
			this.SavemenuItem.Index = 1;
			this.SavemenuItem.Text = "&Save";
			this.SavemenuItem.Click += new System.EventHandler(this.SavemenuItem_Click);
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 2;
			this.menuItem4.Text = "-";
			// 
			// ExitmenuItem
			// 
			this.ExitmenuItem.Index = 3;
			this.ExitmenuItem.Text = "E&xit";
			this.ExitmenuItem.Click += new System.EventHandler(this.ExitmenuItem_Click);
			// 
			// CDNameTB
			// 
			this.CDNameTB.Location = new System.Drawing.Point(152, 8);
			this.CDNameTB.Name = "CDNameTB";
			this.CDNameTB.Size = new System.Drawing.Size(216, 20);
			this.CDNameTB.TabIndex = 0;
			this.CDNameTB.Text = "";
			// 
			// ArtistTB
			// 
			this.ArtistTB.Location = new System.Drawing.Point(152, 48);
			this.ArtistTB.Name = "ArtistTB";
			this.ArtistTB.Size = new System.Drawing.Size(216, 20);
			this.ArtistTB.TabIndex = 1;
			this.ArtistTB.Text = "";
			// 
			// CommentsTB
			// 
			this.CommentsTB.Location = new System.Drawing.Point(152, 96);
			this.CommentsTB.Multiline = true;
			this.CommentsTB.Name = "CommentsTB";
			this.CommentsTB.Size = new System.Drawing.Size(216, 104);
			this.CommentsTB.TabIndex = 2;
			this.CommentsTB.Text = "";
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(24, 8);
			this.label1.Name = "label1";
			this.label1.TabIndex = 3;
			this.label1.Text = "CD Name:";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(24, 48);
			this.label2.Name = "label2";
			this.label2.TabIndex = 4;
			this.label2.Text = "Artist:";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(24, 96);
			this.label3.Name = "label3";
			this.label3.TabIndex = 5;
			this.label3.Text = "Comments:";
			// 
			// AddObBtn
			// 
			this.AddObBtn.Location = new System.Drawing.Point(24, 128);
			this.AddObBtn.Name = "AddObBtn";
			this.AddObBtn.Size = new System.Drawing.Size(80, 23);
			this.AddObBtn.TabIndex = 6;
			this.AddObBtn.Text = "Add CD";
			this.AddObBtn.Click += new System.EventHandler(this.AddObBtn_Click);
			// 
			// PrevBtn
			// 
			this.PrevBtn.Location = new System.Drawing.Point(24, 180);
			this.PrevBtn.Name = "PrevBtn";
			this.PrevBtn.Size = new System.Drawing.Size(40, 24);
			this.PrevBtn.TabIndex = 7;
			this.PrevBtn.Text = "<<";
			this.PrevBtn.Click += new System.EventHandler(this.PrevBtn_Click);
			// 
			// NextBtn
			// 
			this.NextBtn.Location = new System.Drawing.Point(64, 180);
			this.NextBtn.Name = "NextBtn";
			this.NextBtn.Size = new System.Drawing.Size(40, 24);
			this.NextBtn.TabIndex = 8;
			this.NextBtn.Text = ">>";
			this.NextBtn.Click += new System.EventHandler(this.NextBtn_Click);
			// 
			// posLbl
			// 
			this.posLbl.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(224)), ((System.Byte)(224)), ((System.Byte)(224)));
			this.posLbl.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.posLbl.ForeColor = System.Drawing.Color.Blue;
			this.posLbl.Location = new System.Drawing.Point(24, 157);
			this.posLbl.Name = "posLbl";
			this.posLbl.Size = new System.Drawing.Size(80, 16);
			this.posLbl.TabIndex = 9;
			this.posLbl.Text = "CD#: N/A";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(384, 217);
			this.Controls.AddRange(new System.Windows.Forms.Control[] {
																		  this.posLbl,
																		  this.NextBtn,
																		  this.PrevBtn,
																		  this.AddObBtn,
																		  this.label3,
																		  this.label2,
																		  this.label1,
																		  this.CommentsTB,
																		  this.ArtistTB,
																		  this.CDNameTB});
			this.Menu = this.mainMenu;
			this.Name = "Form1";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Form1";
			this.Load += new System.EventHandler(this.Form1_Load);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());					
		}

		
		private void SavemenuItem_Click(object sender, System.EventArgs e)
		{
		
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{ // do any necessary initialisation
			CDList = new ArrayList();			
		}

		private void ExitmenuItem_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void WarningMsg( string msg )
		{
			MessageBox.Show(msg, "Data Entry Error!",
							MessageBoxButtons.OK,
							MessageBoxIcon.Exclamation);
		}

		private void AddObBtn_Click(object sender, System.EventArgs e)
		{
			if (CDNameTB.Text == "") 
				WarningMsg("You must enter a CD name!");
			else
			if (ArtistTB.Text == "") 
				WarningMsg("You must enter an artist!");
			else
				posLbl.Text ="CD#: "+ CDList.Add(new CDClass( CDNameTB.Text, 
										ArtistTB.Text, 
										CommentsTB.Text ));
		}

		private void NextBtn_Click(object sender, System.EventArgs e)
		{
			
		}

		private void PrevBtn_Click(object sender, System.EventArgs e)
		{
		
		}
		[Serializable]
			class CDClass
		{
			private string _name = "";
			private string _artist = "";
			private string _comments = "";
		

			public CDClass( string aname, string anartist, string somecomments )
			{
				_name = aname;
				_artist = anartist;
				_comments = somecomments;
			}

			public string Name
			{
				get 
				{ 
					return _name; 
				}
				set 
				{
					_name = value; 
				}
			}

			public string Artist
			{
				get 
				{ 
					return _artist; 
				}
				set 
				{
					_artist = value; 
				}
			}

			public string Comments
			{
				get 
				{ 
					return _comments; 
				}
				set 
				{
					_name = value; 
				}
			}

		}// end CDClass
	
	}
}
