using System;
using System.IO;
using System.Collections;
using System.Runtime.Serialization;
using System.Runtime.Serialization.Formatters.Binary;


namespace ConsoleApplication3
{
	[Serializable]
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{   
		[Serializable]
		class myClass
		{
			private int _myint = 0;
			private string _mystring = "xxx";
			private ArrayList _myarrlist;

			public myClass( int anint, string astring )
			{
				_myint = anint;
				_mystring = astring;
				_myarrlist = new ArrayList();
				for (int i = 0; i < anint; i++ )
				{
					_myarrlist.Add("Item #: " + i );
				}
			}

			public int MyInt 
			{
				get 
				{ 
					return _myint; 
				}
				set 
				{
					_myint = value; 
				}
			}

			public string MyString 
			{
				get 
				{ 
					return _mystring; 
				}
				set 
				{
					_mystring = value; 
				}
			}

			public ArrayList MyArrayList
			{
				get
				{
					return _myarrlist;
				}
			}

			public string arraystring()
			{
				string astring = "";
				foreach (string s in _myarrlist){ 
					astring = astring + s + "\n"; 
				}
			return astring;
		}

		}// end myClass
		
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			//
			// TODO: Add code to start application here
			//
			myClass ob1 = new myClass(6, "Six");
			myClass ob2 = new myClass(10, "Ten");

			ArrayList arrlist = new ArrayList();
			arrlist.Add( ob1 );
			arrlist.Add( ob2 );

			Console.WriteLine("Serializing data...");
			Stream st_out = File.OpenWrite("mydata3.bin");
			BinaryFormatter binfmt = new BinaryFormatter();
			binfmt.Serialize(st_out, arrlist);
			st_out.Close();
			Console.WriteLine ("-- Done --");

			Console.WriteLine("Deserializing data from disk...");
			Stream st_in = File.OpenRead("mydata3.bin");
			BinaryFormatter binfmt2 = new BinaryFormatter();
			ArrayList arrlist2 = (ArrayList) binfmt2.Deserialize(st_in);
			Console.WriteLine ("-- Done --");

			Console.WriteLine ("This is the data that's been read in...");
			foreach (myClass mc in arrlist2) 
			{
				Console.WriteLine (mc.MyInt);
				Console.WriteLine (mc.MyString);				
				Console.WriteLine ("--- Contains this array of strings:");
				Console.WriteLine (mc.arraystring());
			}
			Console.WriteLine ("\nPress <Return> to exit.");
			Console.ReadLine();
		}
	}
}
